• AVR Freaks

Hot!Compiling with the compiler version that is not supposed?

Author
Nmaster88
Starting Member
  • Total Posts : 68
  • Reward points : 0
  • Joined: 2019/06/04 03:30:36
  • Location: 0
  • Status: offline
2019/06/25 04:27:22 (permalink)
0

Compiling with the compiler version that is not supposed?

I have now 3 versions of the compiler installed. v1.4,2.10 and 2.15. In the properties of a project, on compiler toolchain i'm selecting the version 2.10.For some reason the project seems to compiler with version 2.15 by default. What can be the cause for that?
post edited by Nmaster88 - 2019/06/25 11:00:22

Attachment(s)

Attachments are not available: Download requirements not met
#1

6 Replies Related Threads

    NKurzman
    A Guy on the Net
    • Total Posts : 18038
    • Reward points : 0
    • Joined: 2008/01/16 19:33:48
    • Location: 0
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/25 05:43:49 (permalink)
    +1 (1)
    Do you have 2.10 installed?
    #2
    Nmaster88
    Starting Member
    • Total Posts : 68
    • Reward points : 0
    • Joined: 2019/06/04 03:30:36
    • Location: 0
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/25 08:28:24 (permalink)
    0
    Hi @NKurzman yes it appears on the compiler toolchain, and it has a folder on C:\Program Files (x86)\Microchip\xc32\v2.10
    #3
    NKurzman
    A Guy on the Net
    • Total Posts : 18038
    • Reward points : 0
    • Joined: 2008/01/16 19:33:48
    • Location: 0
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/25 09:28:24 (permalink)
    +1 (1)
    And it shows up in MplabX as an option?  
     
    "v1.4,2.1 and 2.15."  did you mean v1.4,2.10 and 2.15.
     
    What Version of MPLabX?
    #4
    Nmaster88
    Starting Member
    • Total Posts : 68
    • Reward points : 0
    • Joined: 2019/06/04 03:30:36
    • Location: 0
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/25 11:01:42 (permalink)
    0
    Yes 2.10, sorry for the typo.
    #5
    aschen0866
    Super Member
    • Total Posts : 4511
    • Reward points : 0
    • Joined: 2006/01/08 22:18:32
    • Location: San Diego
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/25 11:10:55 (permalink)
    +1 (1)
    Your project's <nbproject> folder should contain a file named configurations.xml.  The toolchain information is stored there.  Can you open it and see if v2.10 is indeed saved after you switch from v2.15?
    #6
    moser
    Super Member
    • Total Posts : 520
    • Reward points : 0
    • Joined: 2015/06/16 02:53:47
    • Location: Germany
    • Status: offline
    Re: Compiling with the compiler version that is not supposed? 2019/06/28 00:13:45 (permalink)
    +2 (2)
    I repeat the question from NKurzman:
    NKurzmanWhat Version of MPLabX?

     
     
    Nmaster88Hi @NKurzman yes it appears on the compiler toolchain, and it has a folder on C:\Program Files (x86)\Microchip\xc32\v2.10

    Please also go to menu "Tools" > menu entry "Options" > category "Embedded" > tab "Build Tools" and verify that all paths are also correct there. You can also press the "Scan for Build Tools" button over there.
    #7
    Jump to:
    © 2019 APG vNext Commercial Version 4.5